Bug 1024152 - Review Request: rubygem-innertube - A thread-safe resource pool
Review Request: rubygem-innertube - A thread-safe resource pool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 21:50 EDT by Ken Dreyer
Modified: 2013-11-10 21:30 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-innertube-1.1.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2013-10-28 21:50:32 EDT
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-innertube.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-innertube-1.1.0-1.fc21.src.rpm
Description: Innertube is a thread-safe, re-entrant resource pool, extracted from the Riak Ruby Client, where it was used to pool connections to Riak.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6109941
Comment 1 Mamoru TASAKA 2013-10-28 23:48:24 EDT
Taking this one. I would appreciate it if you would have time to review my review request bug 1024168 .
Comment 2 Mamoru TASAKA 2013-10-30 00:36:06 EDT
Well, I tried checking your srpm and the rebuilt binary rpms
carefully, and I did not find any blockers for this package.

One recommendation
* Separated license text
  - I recommend to rename "LICENSE" to something unique to this srpm,
    like "LICENSE.innertube", then again rename when building this srpm,
    in case some other srpm also has a
    file "LICENSE" and this file may overwritten when srpms are
    expanded (on ~/rpmbuild/SOURCES/, for example)

 - spec / srpm clean
 - builds file
 - can be installed cleanly
 - seems to work
Comment 3 Mamoru TASAKA 2013-10-30 00:36:41 EDT
-----------------------------------------------------------
  This package (rubygem-innertube) is APPROVED by mtasaka
-----------------------------------------------------------
Comment 4 Ken Dreyer 2013-10-30 19:52:54 EDT
Thanks for the review. Regarding the LICENSE file, I was hoping to keep it the same as the URL's file name, and I can see the advantage to what you're suggesting also.

Changed at http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-innertube.git/commit/?id=57a20ab7e0c75ea8eb8e71794355d195501b9535
Comment 5 Ken Dreyer 2013-10-30 19:54:28 EDT
New Package SCM Request
=======================
Package Name: rubygem-innertube
Short Description: A thread-safe resource pool
Owners: ktdreyer
Branches: f19 f20
Comment 6 Gwyn Ciesla 2013-10-31 08:20:25 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-10-31 11:36:47 EDT
rubygem-innertube-1.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-innertube-1.1.0-2.fc20
Comment 8 Fedora Update System 2013-10-31 11:37:40 EDT
rubygem-innertube-1.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-innertube-1.1.0-2.fc19
Comment 9 Fedora Update System 2013-10-31 13:41:57 EDT
rubygem-innertube-1.1.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-11-10 02:19:55 EST
rubygem-innertube-1.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-11-10 21:30:12 EST
rubygem-innertube-1.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.